Bug 964227 - Server allows putting metric data with timestamp older than 1 week
Server allows putting metric data with timestamp older than 1 week
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 11:18 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:52:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-05-17 11:18:01 EDT
Description of problem:

Server accepts raw metric data through REST API that are older than 7 days - it should reject it, because we don't store 

Version-Release number of selected component (if applicable):
RHQ 4.8-master

How reproducible:always


Steps to Reproduce:
1 have a MEASUREMENT schedule ID
2. do PUT /rest/metric/data/<ID>/raw/12345 data:{"timeStamp": 12345, "value": 0.5}
  
Actual results: server accepts those data and as a response location header it returns URL where I can get those data. In case of old timestamp, such URL returns an error (expected)


Expected results: server should reject such data, because it cannot store it anyway
Comment 1 Heiko W. Rupp 2013-06-06 07:30:56 EDT
master 25eb665838cba29ea7b4e3c76e70698d43066a1f
Comment 2 Heiko W. Rupp 2013-09-11 05:52:29 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.